package cz.muni.fi.pb162.project.demo;

import cz.muni.fi.pb162.project.Auto;
import cz.muni.fi.pb162.project.Coordinates;
import cz.muni.fi.pb162.project.HasEngine;
import cz.muni.fi.pb162.project.Ship;
import cz.muni.fi.pb162.project.utils.BoardNotation;

/**
 * Class for running main method.
 *
 * @author Alzbeta Strompova
 */
public class Main {

    /**
     * Runs the code.
     *
     * @param args command line arguments, will be ignored.
     */
    public static void main(String[] args) {
        Piece[][] board = new Piece[BOARD_SIZE][BOARD_SIZE];

        int noOfDiscoveredPieces = 0;
        for (int y = 0; y < board.length; ++y) {
            for (int x = 0; x < board[y].length; ++x) {
                if (board[x,y] != null) noOfDiscoveredPieces++;
            }
        }

        int currentPos = 0;
        Piece[] outputPieces = new Piece[noOfDiscoveredPieces];
        for (Piece[] row : board) {
            for (Piece p : row) {
                if (p != null) {
                    outputPieces[currentPos] = p;
                    currentPos++;
                }
            }
        }


    }

    public void jfksdj(HasEngine engine) {
        HasEngine newInstance = engine.makeCopy();

    }
}


